Retrieves all items
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean |
Response Formats
application/json, text/json
{
"id": "64fe8de5-fea9-440a-a7c3-5eaf30a0027c",
"db_info_id": "d207cdb7-e2bb-4e9a-b8e0-69868b2219c9",
"db_info_code": "sample string 3",
"db_info": {
"id": "5f67ee79-7ce5-44b3-81ff-dcdc2f7e7350",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "d323bf9d-9f33-4cfe-8e26-bfe8d9c91b02",
"db_info_category_code": "sample string 6",
"parent_id": "44f6bd86-565a-4158-9a33-6f8c6bbf0c0b",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-02-20T19:18:33.8418814+00:00"
},
"db_input_type_id": "7b82808e-0e9b-4c6b-9808-bf225726971b",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true
}